import 'package:flutter_custom_toolbox/flutter_toolbox.dart';

import 'package:twister/config/default_activity_settings.dart';

class ActivitySettings {
  final String timerValue;

  ActivitySettings({
    required this.timerValue,
  });

  static String getTimerValueFromUnsafe(String timerValue) {
    if (DefaultActivitySettings.allowedTimerValues.contains(timerValue)) {
      return timerValue;
    }

    return DefaultActivitySettings.defaultTimerValue;
  }

  factory ActivitySettings.createDefault() {
    return ActivitySettings(
      timerValue: DefaultActivitySettings.defaultTimerValue,
    );
  }

  void dump() {
    printlog('$ActivitySettings:');
    printlog('  ${DefaultActivitySettings.parameterCodeTimerValue}: $timerValue');
    printlog('');
  }

  @override
  String toString() {
    return '$ActivitySettings(${toJson()})';
  }

  Map<String, dynamic>? toJson() {
    return <String, dynamic>{
      DefaultActivitySettings.parameterCodeTimerValue: timerValue,
    };
  }
}
